RuntimeInvisibleTypeAnnotationsAttribute (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: RuntimeInvisibleTypeAnnotationsAttribute
Keywords: java.lang.classfile.attribute.RuntimeInvisibleTypeAnnotationsAttribute interface

# Interface RuntimeInvisibleTypeAnnotationsAttribute

All Superinterfaces:
  `AttributePREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW>`, `ClassElementPREVIEW`, `ClassFileElementPREVIEW`, `CodeElementPREVIEW`, `FieldElementPREVIEW`, `MethodElementPREVIEW`, `WritableElementPREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW>`

public sealed interface RuntimeInvisibleTypeAnnotationsAttribute extends AttributePREVIEW<RuntimeInvisibleTypeAnnotationsAttributePREVIEW>, ClassElementPREVIEW, MethodElementPREVIEW, FieldElementPREVIEW, CodeElementPREVIEW
`RuntimeInvisibleTypeAnnotationsAttribute` is a preview API of the Java platform.
Programs can only use `RuntimeInvisibleTypeAnnotationsAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `RuntimeInvisibleTypeAnnotations` attribute 4.7.21, which can appear on classes, methods, fields, and code attributes. Delivered as a `ClassElement`PREVIEW, `FieldElement`PREVIEW, `MethodElement`PREVIEW, or `CodeElement`PREVIEW when traversing the corresponding model type.

The attribute does not permit multiple instances in a given location. Subsequent occurrence of the attribute takes precedence during the attributed element build or transformation.

The attribute was introduced in the Java SE Platform version 8.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TypeAnnotationPREVIEW>`
  `annotations()`
  Returns the non-runtime-visible type annotations on parts of this class, field, or method.
  `static RuntimeInvisibleTypeAnnotationsAttributePREVIEW`
  `of(TypeAnnotationPREVIEW... annotations)`
  Returns a `RuntimeInvisibleTypeAnnotations` attribute.
  `static RuntimeInvisibleTypeAnnotationsAttributePREVIEW`
  `of(List<TypeAnnotationPREVIEW> annotations)`
  Returns a `RuntimeInvisibleTypeAnnotations` attribute.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### annotations

    List<TypeAnnotationPREVIEW> annotations()
    Returns the non-runtime-visible type annotations on parts of this class, field, or method.
    Returns:
      the non-runtime-visible type annotations on parts of this class, field, or method

  - ### of

    static RuntimeInvisibleTypeAnnotationsAttributePREVIEW of(List<TypeAnnotationPREVIEW> annotations)
    Returns a `RuntimeInvisibleTypeAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeInvisibleTypeAnnotations` attribute

  - ### of

    static RuntimeInvisibleTypeAnnotationsAttributePREVIEW of(TypeAnnotationPREVIEW... annotations)
    Returns a `RuntimeInvisibleTypeAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeInvisibleTypeAnnotations` attribute